summaryrefslogtreecommitdiff
path: root/misc/git-shell-commands/fetch-mirrors
diff options
context:
space:
mode:
authorLuke Shumaker <lukeshu@sbcglobal.net>2014-09-05 01:31:14 -0400
committerLuke Shumaker <lukeshu@sbcglobal.net>2014-09-05 01:31:14 -0400
commit4b70501e432eb5fd9ed04a4afbadafabd982e9fc (patch)
treeb09fe80d9ec0ec3eb82f46dbfce960dc66aaf3f4 /misc/git-shell-commands/fetch-mirrors
parent1ab58422fb47e22e178716efa3fbce5beabbc174 (diff)
restructure to have most data in YAML
Diffstat (limited to 'misc/git-shell-commands/fetch-mirrors')
-rwxr-xr-xmisc/git-shell-commands/fetch-mirrors13
1 files changed, 13 insertions, 0 deletions
diff --git a/misc/git-shell-commands/fetch-mirrors b/misc/git-shell-commands/fetch-mirrors
new file mode 100755
index 0000000..15bf9c4
--- /dev/null
+++ b/misc/git-shell-commands/fetch-mirrors
@@ -0,0 +1,13 @@
+#!/bin/sh
+# * fetch-mirrors
+# Actualiza el `mirrors` (espejos) creados con `mirror`
+# ssh git@host fetch-mirrors
+
+set -e
+
+# Find all mirrors
+"$(dirname "$0")"/mirrors | while read -r mirror; do
+ pushd "$mirror" >/dev/null
+ git remote update
+ popd >/dev/null
+done